GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Functions
resolver_factory.h File Reference
`#include "src/core/client_config/resolver.h"`
`#include "src/core/client_config/subchannel_factory.h"`
`#include "src/core/client_config/uri_parser.h"`

Go to the source code of this file.

## Data Structures
struct | grpc_resolver_factory
| grpc_resolver provides grpc_client_config objects to grpc_channel objects More...
struct | grpc_resolver_factory_vtable

## Typedefs
typedef struct grpc_resolver_factory | grpc_resolver_factory
typedef struct grpc_resolver_factory_vtable | grpc_resolver_factory_vtable

## Functions
void | grpc_resolver_factory_ref (grpc_resolver_factory *resolver)
void | grpc_resolver_factory_unref (grpc_resolver_factory *resolver)
grpc_resolver * | grpc_resolver_factory_create_resolver (grpc_resolver_factory *factory, grpc_uri *uri, grpc_subchannel_factory *subchannel_factory)
| Create a resolver instance for a name. More...

## Typedef Documentation

typedef struct grpc_resolver_factory grpc_resolver_factory

typedef struct grpc_resolver_factory_vtable grpc_resolver_factory_vtable

## Function Documentation

grpc_resolver* grpc_resolver_factory_create_resolver | ( | grpc_resolver_factory * | factory,
|  | grpc_uri * | uri,
|  | grpc_subchannel_factory * | subchannel_factory
| ) |  |

Create a resolver instance for a name.

void grpc_resolver_factory_ref | ( | grpc_resolver_factory * | resolver | ) |

void grpc_resolver_factory_unref | ( | grpc_resolver_factory * | resolver | ) |